View Vehicle Summary

This API allows you to view the summary of a vehicle data. You are allowed to filter the result for a vehicle using 'vehicleIds' query parameter and time period using 'fromDate' and 'toDate'. The endpoint fetches the result of all vehicles in the account when 'vehicleIds' parameter is not passed. Either 'latestData' OR 'fromDate' and 'toDate' are mandatory fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://services.azuga.com/azuga-ws-oauth/v3/trackee/summary?fromDate=2023-08-01 00:00:00 AM&toDate=2023-08-10 00:00:00 PM&vehicleIds=f165905c-d228-11e8-s417-fde07081wqr15

API Response glossary

FieldDescriptionData Type
vehicleIdUnique identifier assigned to the associated vehicle.String
vehicleNameName of the vehicleString
odometerReadingInitial odometer reading of the vehicleNumber
currentOdometerReadingLatest odometer reading of the vehicleNumber
engineRunTimeEngine run time in seconds from the Initial Engine hours set for vehicleNumber
totalEngineRunTimeTotal engine run time in hours directly from device since inceptionNumber
vehicleSupportedOdoValueOdometer reading directly from Vehicle's ECU in KMsNumber
assetEngineRunTimeAsset engine run time in secondsNumber
milesDrivenValueDistance travelled by the vehicle in KMsNumber
idlingValueNumber of idling events generated by the vehicleNumber
hardBrakingValueNumber of hard braking events generated by the vehicleNumber
speedingValueNumber of speeding events generated by the vehicleNumber
hardAccelerationValueNumber of hard acceleration events generated by the vehicleNumber
driveTimeValueTotal driving time in secondsNumber
costPerMileCost per mile valueNumber
fuelConsumedFuel consumed valueNumber
seatBeltPercentagePercentage of seatbelt worn by the driverNumber
corneringValueNumber of Cornering events generated by the vehicleNumber
consumedAirFor internal useNumber
fuelTypeId

Unique identifier representing the fuel type.

1 - Gasoline
2 - Diesel

Number
Query Params
boolean
Defaults to false

The latest cumulative data of the vehicle since creation. If you set this to true, only the following fields would show valid information in the result response - vehicleId, vehicleName, odometerReading, currentOdometerReading, engineRunTime, totalEngineRunTime, assetEngineRunTime and milesDrivenValue. Set this parameter to false if you want to filter the data between a date frame. The parameters - fromDate and toDate are valid only if latestData = false

string

'From' date in 'YYYY-MM-DD hh:mm:ss a' UTC time format. This is valid only when latestData = false

string

'To' date in 'YYYY-MM-DD hh:mm:ss a' UTC time format. This is valid only when latestData = false

string

The unique identifiers of the vehicle which you would like to filter the results. To fetch all the vehicle result, omit this parameter from the query parameters.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json